linux-atm (1:2.5.1-4build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:20:11 +0200

linux-atm (1:2.5.1-4) unstable; urgency=medium

  * QA upload.
  * Fixup build failures with new kernel and glibc versions.
  * Bump std-version to 4.4.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Jul 2019 11:14:38 +0200

linux-atm (1:2.5.1-3) unstable; urgency=medium

  * QA upload.
  * Drop obsolete Conflicts and Replaces.
  * Drop obsolete maintainer scripts.
  * Drop debian/compat and use debhelper-compat, bump to compat 12.
  * Move libraries to /usr/lib.
  * Use dh_installsystemd instead of dh_systemd_{enable,start}.
    Drop dh-systemd Build-Depends accordingly.
  * Drop obsolete start priorities from dh_installinit.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Jul 2019 12:39:59 +0200

linux-atm (1:2.5.1-2) unstable; urgency=medium

  * QA upload.
  * Add Build-Depends: libfl-dev.  (Closes: #846437)
  * Clean up maintainer scripts.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 14:15:37 +0100

linux-atm (1:2.5.1-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Add atm.service masking the atm init script (Closes: #796628)
  * Build-depend on dh-systemd and use dh_systemd_{enable,start}
    in debian/rules for the above.
  * Source LSB init function in atm init script
    - this it possible for systemd LSB hook to properly redirect
      direct invocations of the init script to systemctl.
  * Add an explicit Depends on lsb-base because of the above.
  * Drop build-dependency on initscripts package. (Closes: #828003)
    - the original intention was likely to have this as a dependency
      rather than build-dependency, but either way should no longer
      be needed so just drop it.
  * Orphan the package (Closes: #813775)
    - there has been no maintainer upload in over a decade and
      p2-mate confirmed he no longer has atm hardware and/or interest.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 Jun 2016 19:01:47 +0200

linux-atm (1:2.5.1-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Correct directory in libatm1-dev.postinst.
    Correct the directory checked for the directory symlink migration to be
    /usr/share/doc/libatm1-dev for the libatm1-dev binary package. It
    wrongly refered to /usr/share/doc/atm-tools. (Closes: #687857)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Sep 2012 11:03:25 +0200

linux-atm (1:2.5.1-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Make build targets executable in parallel (Closes: #674611).

 -- Luk Claes <luk@debian.org>  Tue, 03 Jul 2012 01:01:15 +0000

linux-atm (1:2.5.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Package converted to multiarch.
  * Support sendsigs.omit.d/ in /run and depend on initscripts
    >= 2.88dsf-13.3. (Closes: #633029)
  * Install the changelogs only in libatm1.
  * Removed the K links of the atmarpd initscript, there is no point in
    stopping the daemon.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Oct 2011 15:09:29 +0100

linux-atm (1:2.5.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Also Build-Depend on autoconf, automake, libtool. (Closes: #563306)
  * Prevent sendsigs from killing atmarpd. (Closes: #62144)

 -- Marco d'Itri <md@linux.it>  Sat, 02 Jan 2010 21:59:19 +0100

linux-atm (1:2.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #463401)
  * Removed the atm-dev dummy package. (Closes: #321826)
  * Fixed typos in some man pages. (Closes: #325072)
  * Autoreconf on build. (Closes: #535736, #549144)
  * Do not restart the init script on upgrades. (Closes: #303069)
  * Build with -fno-strict-aliasing just to be sure.
  * Added a .symbols file for libatm1.
  * Cleaned up debian/rules and updated to modern best practices.
  * Slightly cleaned up the init script.
  * Upgraded debhelper level to 5.
  * Merged back br2684ctl from the standalone source package.
  * Added an epoch to be able to replace the standalone br2684ctl package
    which has version 20040226-1.

 -- Marco d'Itri <md@linux.it>  Thu, 24 Dec 2009 04:01:32 +0100

linux-atm (2.4.1-17.2) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Add LSB dependency header to init.d scripts (Closes: #468459).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 Mar 2008 00:09:30 +0200

linux-atm (2.4.1-17.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patches/20_missing_includes.dpatch to add missing #include
    <linux/types.h> needed with last linux-libc-dev (Closes: #428943).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 19 Jul 2007 01:40:09 +0200

linux-atm (2.4.1-17) unstable; urgency=low

  * Fix build problem with gcc 4.0 (Closes: )

 -- Peter De Schrijver (p2) <p2@mind.be>  Thu, 17 Mar 2005 23:02:03 +0100

linux-atm (2.4.1-16) unstable; urgency=low

  * Fix build problem with gcc 3.4 (Closes: #259422)

 -- Peter De Schrijver (p2) <p2@mind.be>  Thu, 15 Jul 2004 14:28:10 +0200

linux-atm (2.4.1-15) unstable; urgency=low

  * Updated descriptions (Closes: #239161)

 -- Peter De Schrijver (p2) <p2@mind.be>  Sun,  4 Apr 2004 21:10:20 +0200

linux-atm (2.4.1-14) unstable; urgency=low

  * Fix symlink for /usr/lib/libatm.so (Closes: #221011)

 -- Peter De Schrijver (p2) <p2@mind.be>  Sun,  7 Dec 2003 21:53:19 +0100

linux-atm (2.4.1-13) unstable; urgency=low

  * Previous version fixed #217259, but no changelog entry (Closes: #217259)
  * Previous version fixed #216662, but no changelog entry (Closes: #216662)
  * Added missing build dependency on automake1.4 (Closes: #221120, #221284)
  * New Maintainer (Closes: #206982)

 -- Peter De Schrijver (p2) <p2@mind.be>  Mon, 17 Nov 2003 23:03:58 +0100

linux-atm (2.4.1-12) unstable; urgency=low

  * don't build atm-tools-br2684 by default. Thanks to ftpmaster for
    not allowing the package to be in Debian.
  * Since we don't build atm-tools-br2684 any more, revert back to
    autotools output from 2.4.1-9
  * Add README.br2684 documenting a way to build the package locally.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed,  5 Nov 2003 21:31:42 +0000

linux-atm (2.4.1-11) experimental; urgency=low

  * Build-Depend on dpatch
  * dpatch br2684 header files from later libc for old libc (woody)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 29 Oct 2003 19:05:07 +0000

linux-atm (2.4.1-10) experimental; urgency=low

  * add br2684 to package      		  		 (closes: #216663)
  * autoreconf to actually build br2684
  * have libatm1-dev provide libatm-dev			 (closes: #216662)
  * move lib symlink to libatm1-dev as well 		 (closes: #217259)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 23 Oct 2003 17:55:43 +0000

linux-atm (2.4.1-9) unstable; urgency=low

  * put libatm1-dev in libdevel		 		 (closes: #213170)
  * make sure that new descriptions actually make it into the package

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu,  9 Oct 2003 17:08:10 +0000

linux-atm (2.4.1-8) unstable; urgency=low

  * build arch-indep package as targets of binary-indep  (closes: #212124)
  * use dh_installdocs to install files to libatm1-dev/docs
  * symlink shared lib to usr/bin                        (closes: #213146)
  * Use better long descriptions. Thanks to Javier       (closes: #209427)
    Fernandez-Sanguino		  	    		 (closes: #209612)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 28 Sep 2003 19:29:08 +0000

linux-atm (2.4.1-7) unstable; urgency=low

  * libatm1 now conflicts with atm-tools (<< 2.4.1-6) (closes: #208170)
  * armarp now writes output to stdout.
  * add atm-dev as empty transitional package to help upgrades

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue,  2 Sep 2003 09:20:33 +0000

linux-atm (2.4.1-6) unstable; urgency=low

  * split off shared libraries to libatm1
  * rename atm-dev to libatm1-dev
  * Standards-Version: 3.6.1

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 26 Aug 2003 15:46:27 +0000

linux-atm (2.4.1-5) unstable; urgency=low

  * move *.a and *.la to usr/lib (closes: #199506).
  * let atm-dev depend on atm-tools to avoid dangling /lib/libatm.so
    symlink.
  * Standards-Version: 3.5.6

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 30 Jul 2003 11:46:19 +0000

linux-atm (2.4.1-4) unstable; urgency=low

  * add Build-Depends: on automake1.4

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 11 Jun 2003 16:58:21 +0000

linux-atm (2.4.1-3) unstable; urgency=low

  * rebuilding libtool broke src/test/Makefile.in. Applied fix to
    Makefile.am and re-built again.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 11 Jun 2003 11:05:26 +0000

linux-atm (2.4.1-2) unstable; urgency=low

  * rebuild configure script with new libtool (closes: #196909)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 10 Jun 2003 21:01:50 +0000

linux-atm (2.4.1-1) unstable; urgency=low

  * new upstream source
  * remove atmarp and atmarpd from /usr/sbin as they are already in
    /sbin (closes: #196216)
  * lintian fixes

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon,  9 Jun 2003 16:03:45 +0000

linux-atm (2.4.0-5) unstable; urgency=low

  * Fix for src/test/Makefile.in to allow building on hppa and ia64
    which the fix introduced to 2.4.0-4 broke. Thanks to Goswin
    Brederlow.
  * Move init.d priority to that atmarpd is started before network
    interfaces are started.
  * Move atmarpd and libatm to /sbin and /lib to allow atmarpd to be
    started before /usr is mounted.
  * use dh_install instead of dh_movefiles.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 24 Aug 2002 15:13:48 +0000

linux-atm (2.4.0-4) unstable; urgency=low

  * new maintainer
  * Fix for src/test/Makefile.in to allow building on sparc.
    Thanks to Patrick Mauritz. (closes: #144225).
  * added pseudo-manpage for manpage-less binaries.
  * removed rpath by changing configure and make install paramaters

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 16 Aug 2002 20:39:05 +0000

linux-atm (2.4.0-3) unstable; urgency=HIGH

  * Re-ran libtoolize.
    Closes: #143522

  * Previous version Closes: #135328

 -- Russell Coker <russell@coker.com.au>  Fri, 19 Apr 2002 01:55:00 +0200

linux-atm (2.4.0-2) unstable; urgency=HIGH

  * Put a "grep -v EMAXERRNO" into the build process to deal with mipsel and
    the "#ifdef __KERNEL__" it has in it's /usr/include/asm/errno.h .

 -- Russell Coker <russell@coker.com.au>  Thu, 18 Apr 2002 19:56:00 +0200

linux-atm (2.4.0-1) unstable; urgency=HIGH

  * New upstream version which changes source package name.
    Closes: #138911

 -- Russell Coker <russell@coker.com.au>  Mon, 18 Mar 2002 17:42:00 +0100

atm (0.79-4) unstable; urgency=low

  * Added build-depends on flex.
    Closes: #111072

  * Made the atm tools use a shared object to save space.

  * Fixed the copyright file and put all copyright details in both packages.

  * Added support for easy building with different kernel headers.
    Closes: #110249

 -- Russell Coker <russell@coker.com.au>  Sun,  7 Oct 2001 14:11:33 +0200

atm (0.79-3) unstable; urgency=low

  * Created /etc/init.d/atm to start and stop atmarpd.
    Closes: #110252

  * Added build-depends on bison.
    Closes: #110576

 -- Russell Coker <russell@coker.com.au>  Fri, 31 Aug 2001 15:21:44 +0200

atm (0.79-2) unstable; urgency=low

  * Changed the main package name to atm-tools to indicate that it doesn't
    provide ATM (gotta have the kernel support), it just has the daemons and
    utilities.

 -- Russell Coker <russell@coker.com.au>  Sat, 25 Aug 2001 17:55:00 +0200

atm (0.79-1) unstable; urgency=low

  * Initial Release.

 -- Russell Coker <russell@coker.com.au>  Fri, 24 Aug 2001 17:31:00 +0200
